Subject: [p2p-sip] new WG?

From: RoyR at saic-abingdon.com (Roy, Radhika (AEAD))
Date: Tue Sep 13 11:38:38 2005

It appears that the applications of p2p-SIP have mostly been thought in
the fixed infrastructure networking environments. 

We can also look into ad hoc networking communications environments
where MANET WG have developed a host of routing protocols to route
traffic after developing the networking connectivity dynamically as
topologies change with time very fast. Ad hoc networks are being used in
fleet of moving vehicles for both commercial and military use.

However, the key is that ad hoc networks have no choice but to use p2p
communications environments. These moving fleet of vehicles also need
real-time communications like SIP in addition to near/non-real-time
communications like IM, Presence, registration, file transfer and
others.

So, if we develop SIP for p2p communications, we can address the needs
of both fixed and ad hoc networks.

Best regards,
Radhika

-----Original Message-----
From: [email-masked]
[mailto:[email-masked]] 
Sent: Monday, September 12, 2005 6:54 PM
To: Roy, Radhika (AEAD)
Cc: Dean Willis; [email-masked]; Stastny Richard; Tschofenig,
Hannes
Subject: [p2p-sip] new WG?

It is an excellent idea to discuss the necessity for forming a new WG 
and to find out the probable work items. This is equivalent for 
discussing the possible charter of a new WG, I think.
Since it is a very different topic from just supporting E911, I changed 
the title of the message so that we can have focused discussion under a 
new thread.

Why do we need a new WG?
The first reason I think of is that there is no existing WG that can 
take P2P SIP at the moment in my understanding.
One can consider SIPPING for the purpose but it became clear, at least, 
to me in IETF62 that SIPPING had its hands full already and could not 
take any more a new major work item like P2P SIP currently. I believe 
P2P-SIP has things to be specified more than enough for a fully 
dedicated WG. Our challenge won't be finding out what should be done but

finding what we can do in a reasonable amount of time and prioritizing 
them.

What are the probable work items?
Here is a short list I have in my mind right now.
First two very general and common work items:

*** Use cases of P2P SIP 
I did not know that some carriers were interested in using P2P SIP for 
their services until some folks said about it in this mailing list. 
Having some prominent use cases will help us narrowing down requirements

and the scope of specifications.

*** Requirements of P2P SIP

Some specification related work items:

*** Underling P2P mechanisms for P2P SIP and the way to integrate basic 
SIP operations (such as INVITE, NOTIFY/SUBSCRIBE) and those P2P
mechanisms
Some known P2P SIP designs use DHT for location lookup. Then how to use 
DHT for SIP operations? And what is the protocol for DHT maintenance? 
What DHT is good for P2P SIP and how can we make P2P SIP flexible so 
that DHTs are pluggable?

*** Bootstrapping mechainsms for P2P SIP

*** Security mechanisms of P2P SIP
I expect lots of issues for security.

*** Reliability mechanisms of P2P SIP  

*** How to realize more advanced services with P2P SIP?
For example, Presence, 3-Way Calling, Voice Mail (or Multimedia 
Messaging), and so on.

I am sure the above is far from a complete list.
Best regards,

Eunsoo

Roy, Radhika (AEAD) wrote:

>It looks like that p2p-SIP BOF did not explain enough why it needs to
form the new WG. Let us discuss the necessity for forming a new WG and
find out the probable work items.
>
>However, like many other items, whether E911 and CALEA will be a part
of the p2p-SIP WG is a different story.
>
>So, if the new WG needs to be formed, it must justify the items other
than E911 and CALEA.
>
>Best regards,
>Radhika
>
>-----Original Message-----
>From: [email-masked]
[mailto:[email-masked]] On Behalf Of Dean Willis
>Sent: Monday, September 12, 2005 3:55 PM
>To: Roy, Radhika (AEAD)
>Cc: [email-masked]; Stastny Richard; Tschofenig, Hannes
>Subject: Re: [p2p-sip] P2P and 911 (again)
>
>
>Nope. We're supposed to discuss the objectives, and decide whether or 
>not it really does require new work outside the scope of existing WGs, 
>and if so, exactly what that new scope should be. If this leads us to 
>the formation of a new working group, that's fine -- but forming a new 
>working group is NOT the only reasonable outcome.
>
>--
>Dean
>
>On Aug 19, 2005, at 2:05 PM, Roy, Radhika ((AEAD)) wrote:
>
>  
>
>>Hi, all:
>> 
>>Is it not the case that SIP P2P BOF is supposed to explain why we need

>>to establish a new SIP P2P WG because it requires new P2P protocol 
>>developments what SIP WG cannot do?
>> 
>>Best regards,
>>Radhika
>>
>>From: [email-masked] on behalf of Stastny Richard
>>Sent: Thu 8/18/2005 10:24 AM
>>To: Brijesh Kumar; Juha Heinanen; Tschofenig, Hannes
>>Cc: [email-masked]
>>Subject: RE: [p2p-sip] P2P and 911 (again)
>>
>>
>>Finally somebody came up with a use case for SIP P2P
>>Congratulations ;-)
>>
>>With all these discussions on SIP P2P service providers,
>>E911 and not to mention CALEA I had basically no idea
>>what SIP P2P can provide what pure SIP cannot provide
>>
>>Richard
>>
>>Richard Stastny
>>OeFEG
>>tel:+43 664 420 4100
>>enum:+43 780 203 211
>>callto://fordprefect
>>http://voipandenum.blogspot.com
>>
>>    
>>
>
>_______________________________________________
>p2p-sip mailing list
>[email-masked]
>http://lists.cs.columbia.edu/mailman/listinfo/p2p-sip
>  
>